/* uvc_xu_ctrls.h
 * UVC Extension Unit controls for Sensoray Model 3364
 * Copyright (c) Sensoray 2017
 */

#ifndef __UVC_XU_CTRLS_3364H__
#define __UVC_XU_CTRLS_3364H__


#define XU3364_READ_EEPROM                    1  // read in 10 byte chunks
#define XU3364_WRITE_EEPROM                   2  // use WRITE_EEPROM addr to set the writing address
#define XU3364_REBOOT                         3
#define XU3364_EEPROM_CODE                    4  // to unlock the EEPROM read and write (0x33
#define XU3364_FIRMWARE_VERSION               5  // little endian, LSB first
#define XU3364_READ_EEPROM_ADDR               6  // "write" to this control to set the read address, read in 10 byte chunks
#define XU3364_VID_STATUS                     7
#define XU3364_SDI_WR                         8
#define XU3364_SDI_RD                         9
#define XU3364_SERIAL_NUM                     10
#define XU3364_EEPROM_USER                    11
#define XU3364_VID_STATUS2                    12
#define XU3364_EXTRA_INFO                     13
#define XU3364_SET_FORMAT                     14
#define XU3364_GET_FORMAT                     15
#define XU3364_VID_STATUS3                    16
#define XU3364_DVI_WR                         17
#define XU3364_DVI_RD                         18


#define UVC3364_ID_INTERFACE_CTRL  0
#define UVC3364_ID_PROCESSING_UNIT 2
#define UVC3364_ID_EXTENSION_UNIT  3

#endif

